Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::VertexBoneAssignment_s Struct Reference

Records the assignment of a single vertex to a single bone with the corresponding weight. More...

`#include <OgreVertexBoneAssignment.h>`

List of all members.

## Public Attributes
unsigned int | vertexIndex
unsigned short | boneIndex
Real | weight

## Detailed Description

Records the assignment of a single vertex to a single bone with the corresponding weight.

Remarks:
  This simple struct simply holds a vertex index, bone index and weight representing the assignment of a vertex to a bone for skeletal animation. There may be many of these per vertex if blended vertex assignments are allowed.

Definition at line 45 of file OgreVertexBoneAssignment.h.

## Member Data Documentation

unsigned short Ogre::VertexBoneAssignment_s::boneIndex

| Definition at line 48 of file OgreVertexBoneAssignment.h.

unsigned int Ogre::VertexBoneAssignment_s::vertexIndex

| Definition at line 47 of file OgreVertexBoneAssignment.h.

Real Ogre::VertexBoneAssignment_s::weight

| Definition at line 49 of file OgreVertexBoneAssignment.h.

The documentation for this struct was generated from the following file:

- OgreVertexBoneAssignment.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 30 10:54:05 2007